Bug 39959 - Installation fails on a DC Master with many users and groups
Installation fails on a DC Master with many users and groups
Status: CLOSED WORKSFORME
Product: UCS@school
Classification: Unclassified
Component: General
UCS@school 4.1
Other Linux
: P5 normal (vote)
: UCS@school 4.1 R2 vXXX
Assigned To: Daniel Tröder
Sönke Schwardt-Krummrich
: interim-3
: 39933 39934 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-15 21:17 CET by Stefan Gohmann
Modified: 2016-12-12 13:16 CET (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 6: Setup Problem: Issue for the setup process
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 4: A User would return the product
User Pain: 0.274
Enterprise Customer affected?:
School Customer affected?: Yes
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2015-11-15 21:17:20 CET
The installation fails on a DC Master with many users and groups. The problem seems to be similar to Bug #38754. The problem is that the listener modules are initialized and that takes ages, among others due to Bug #39957.

On a DC slave the listener is killed and reinitialized.

I'm not sure about the priority. If it also happens on a DC backup, I would say the priority is higher.
Comment 1 Stefan Gohmann univentionstaff 2015-11-18 09:26:52 CET
*** Bug 39933 has been marked as a duplicate of this bug. ***
Comment 2 Stefan Gohmann univentionstaff 2015-11-18 09:27:24 CET
*** Bug 39934 has been marked as a duplicate of this bug. ***
Comment 3 Florian Best univentionstaff 2015-11-19 13:15:56 CET
Bug #39957 did not change anything. Both joinscripts are still failing.
Comment 4 Sönke Schwardt-Krummrich univentionstaff 2015-11-20 10:02:38 CET
> I'm not sure about the priority. If it also happens on a DC backup, I would 
> say the priority is higher.

The UCS@school installer does not rejoin the DC backup therefore the problem will also exist on DC backup.
Comment 5 Sönke Schwardt-Krummrich univentionstaff 2016-11-15 16:47:26 CET
I will try to cover this via the jenkins "large env" test.
Comment 6 Daniel Tröder univentionstaff 2016-11-22 10:59:15 CET
I have repeatedly tried to reproduce this with a master with 9000 Users, joining a slave - (almost) no problems.

In this example the join script 85italc-windows.inst stopped with "No such object". But the join script isn't very stable and also often stops with systems with very few users.

Configure 00ucs-school-slave-check-ou.inst Tue Nov 22 08:13:07 CET 2016
Configure 01univention-ldap-server-init.inst Tue Nov 22 08:13:15 CET 2016
Configure 03univention-directory-listener.inst Tue Nov 22 08:14:56 CET 2016
Configure 04univention-ldap-client.inst Tue Nov 22 08:51:35 CET 2016
Configure 05univention-bind.inst Tue Nov 22 08:51:37 CET 2016
Configure 08univention-apache.inst Tue Nov 22 08:51:45 CET 2016
Configure 10univention-ldap-server.inst Tue Nov 22 08:51:47 CET 2016
Configure 11univention-heimdal-init.inst Tue Nov 22 08:52:03 CET 2016
Configure 11univention-pam.inst Tue Nov 22 08:52:11 CET 2016
Configure 15univention-heimdal-kdc.inst Tue Nov 22 08:52:11 CET 2016
Configure 18python-univention-directory-manager.inst Tue Nov 22 08:52:14 CET 2016
Configure 20univention-directory-policy.inst Tue Nov 22 08:52:17 CET 2016
Configure 20univention-join.inst Tue Nov 22 08:52:18 CET 2016
Configure 26univention-nagios-common.inst Tue Nov 22 08:52:25 CET 2016
Configure 30univention-appcenter.inst Tue Nov 22 08:52:31 CET 2016
Configure 30univention-nagios-client.inst Tue Nov 22 08:54:38 CET 2016
Configure 31univention-nagios-s4-connector.inst Tue Nov 22 08:54:46 CET 2016
Configure 31univention-nagios-samba.inst Tue Nov 22 08:54:48 CET 2016
Configure 34univention-management-console-server.inst Tue Nov 22 08:54:50 CET 2016
Configure 35ucs-school-umc-exam.inst Tue Nov 22 08:54:53 CET 2016
Configure 35ucs-school-umc-installer.inst Tue Nov 22 08:54:59 CET 2016
Configure 35univention-appcenter-docker.inst Tue Nov 22 08:55:03 CET 2016
Configure 35univention-management-console-module-appcenter.inst Tue Nov 22 08:55:04 CET 2016
Configure 35univention-management-console-module-diagnostic.inst Tue Nov 22 08:55:09 CET 2016
Configure 35univention-management-console-module-join.inst Tue Nov 22 08:55:12 CET 2016
Configure 35univention-management-console-module-lib.inst Tue Nov 22 08:55:16 CET 2016
Configure 35univention-management-console-module-mrtg.inst Tue Nov 22 08:55:19 CET 2016
Configure 35univention-management-console-module-passwordchange.inst Tue Nov 22 08:55:23 CET 2016
Configure 35univention-management-console-module-printers.inst Tue Nov 22 08:55:26 CET 2016
Configure 35univention-management-console-module-quota.inst Tue Nov 22 08:55:30 CET 2016
Configure 35univention-management-console-module-reboot.inst Tue Nov 22 08:55:33 CET 2016
Configure 35univention-management-console-module-services.inst Tue Nov 22 08:55:37 CET 2016
Configure 35univention-management-console-module-setup.inst Tue Nov 22 08:55:41 CET 2016
Configure 35univention-management-console-module-sysinfo.inst Tue Nov 22 08:55:46 CET 2016
Configure 35univention-management-console-module-top.inst Tue Nov 22 08:55:49 CET 2016
Configure 35univention-management-console-module-ucr.inst Tue Nov 22 08:55:53 CET 2016
Configure 35univention-management-console-module-updater.inst Tue Nov 22 08:55:56 CET 2016
Configure 35univention-nagios-cups.inst Tue Nov 22 08:56:00 CET 2016
Configure 35univention-nagios-squid.inst Tue Nov 22 08:56:01 CET 2016
Configure 36univention-management-console-module-apps.inst Tue Nov 22 08:56:03 CET 2016
Configure 38ucs-school-umc-computerroom.inst Tue Nov 22 08:56:06 CET 2016
Configure 38ucs-school-umc-distribution.inst Tue Nov 22 08:56:12 CET 2016
Configure 38ucs-school-umc-groups.inst Tue Nov 22 08:56:18 CET 2016
Configure 38ucs-school-umc-helpdesk.inst Tue Nov 22 08:56:24 CET 2016
Configure 38ucs-school-umc-internetrules.inst Tue Nov 22 08:56:32 CET 2016
Configure 38ucs-school-umc-lessontimes.inst Tue Nov 22 08:56:39 CET 2016
Configure 38ucs-school-umc-rooms.inst Tue Nov 22 08:56:46 CET 2016
Configure 38ucs-school-umc-users.inst Tue Nov 22 08:56:52 CET 2016
Configure 40ucs-school-ucc-integration.inst Tue Nov 22 08:56:58 CET 2016
Configure 40univention-virtual-machine-manager-schema.inst Tue Nov 22 08:57:15 CET 2016
Configure 62ucs-school-slave.inst Tue Nov 22 08:57:19 CET 2016
Configure 79univention-printserver-pdf.inst Tue Nov 22 09:00:02 CET 2016
Configure 79univention-printserver.inst Tue Nov 22 09:00:09 CET 2016
Configure 79univention-squid.inst Tue Nov 22 09:00:51 CET 2016
Configure 81univention-nfs-server.inst Tue Nov 22 09:00:57 CET 2016
Configure 85italc-windows.inst Tue Nov 22 09:01:00 CET 2016

Of the listener modules the "ldap_extension" took longest (16min).

root@slave45:~# grep 'finished initializing module' /var/log/univention/join.log 14.11.16 10:56:58.454  LISTENER    ( WARN    ) : finished initializing module replication with rv=0
14.11.16 10:56:58.844  LISTENER    ( WARN    ) : finished initializing module nfs-homes with rv=0
14.11.16 10:56:59.331  LISTENER    ( WARN    ) : finished initializing module keytab-member with rv=0
14.11.16 10:56:59.723  LISTENER    ( WARN    ) : finished initializing module gencertificate with rv=0
14.11.16 10:57:05.901  LISTENER    ( WARN    ) : finished initializing module well-known-sid-name-mapping with rv=0
14.11.16 10:57:08.249  LISTENER    ( WARN    ) : finished initializing module ldap_extension with rv=0
14.11.16 10:57:11.765  LISTENER    ( WARN    ) : finished initializing module faillog with rv=0
14.11.16 10:57:12.829  LISTENER    ( WARN    ) : finished initializing module samba-shares with rv=0
14.11.16 10:57:32.896  LISTENER    ( WARN    ) : finished initializing module samba4-idmap with rv=0
14.11.16 10:57:34.022  LISTENER    ( WARN    ) : finished initializing module umc-service-providers with rv=0
14.11.16 10:57:34.625  LISTENER    ( WARN    ) : finished initializing module nagios-client with rv=0
14.11.16 10:57:36.110  LISTENER    ( WARN    ) : finished initializing module ldap_server with rv=0
14.11.16 10:57:44.889  LISTENER    ( WARN    ) : finished initializing module s4-connector with rv=0
14.11.16 10:57:45.790  LISTENER    ( WARN    ) : finished initializing module univention-saml-servers with rv=0
14.11.16 10:57:46.622  LISTENER    ( WARN    ) : finished initializing module quota with rv=0
14.11.16 10:57:47.400  LISTENER    ( WARN    ) : finished initializing module license_uuid with rv=0
14.11.16 10:57:47.998  LISTENER    ( WARN    ) : finished initializing module nscd_update with rv=0
14.11.16 10:57:48.601  LISTENER    ( WARN    ) : finished initializing module nss with rv=0
14.11.16 10:57:49.129  LISTENER    ( WARN    ) : finished initializing module nfs-shares with rv=0
14.11.16 10:57:52.316  LISTENER    ( WARN    ) : finished initializing module udm_extension with rv=0
14.11.16 10:57:52.886  LISTENER    ( WARN    ) : finished initializing module keytab with rv=0
14.11.16 10:57:53.598  LISTENER    ( WARN    ) : finished initializing module hosteddomains with rv=0
14.11.16 10:57:54.121  LISTENER    ( WARN    ) : finished initializing module bind with rv=0
14.11.16 10:57:54.634  LISTENER    ( WARN    ) : finished initializing module pkgdb-watch with rv=0
14.11.16 12:44:16.789  LISTENER    ( WARN    ) : finished initializing module replication with rv=0
14.11.16 12:44:18.495  LISTENER    ( WARN    ) : finished initializing module nfs-homes with rv=0
14.11.16 12:44:21.652  LISTENER    ( WARN    ) : finished initializing module keytab-member with rv=0
14.11.16 12:44:23.891  LISTENER    ( WARN    ) : finished initializing module gencertificate with rv=0
14.11.16 12:44:35.069  LISTENER    ( WARN    ) : finished initializing module well-known-sid-name-mapping with rv=0
14.11.16 12:44:38.528  LISTENER    ( WARN    ) : finished initializing module ldap_extension with rv=0
14.11.16 12:44:45.626  LISTENER    ( WARN    ) : finished initializing module faillog with rv=0
14.11.16 12:45:25.528  LISTENER    ( WARN    ) : finished initializing module samba-shares with rv=0
14.11.16 12:46:13.315  LISTENER    ( WARN    ) : finished initializing module samba4-idmap with rv=0
14.11.16 12:46:21.704  LISTENER    ( WARN    ) : finished initializing module umc-service-providers with rv=0
14.11.16 12:46:28.127  LISTENER    ( WARN    ) : finished initializing module nagios-client with rv=0
14.11.16 12:46:40.630  LISTENER    ( WARN    ) : finished initializing module ldap_server with rv=0
14.11.16 12:48:03.174  LISTENER    ( WARN    ) : finished initializing module s4-connector with rv=0
14.11.16 12:48:09.929  LISTENER    ( WARN    ) : finished initializing module univention-saml-servers with rv=0
14.11.16 12:48:16.264  LISTENER    ( WARN    ) : finished initializing module quota with rv=0
14.11.16 12:48:18.456  LISTENER    ( WARN    ) : finished initializing module license_uuid with rv=0
14.11.16 12:48:21.738  LISTENER    ( WARN    ) : finished initializing module nscd_update with rv=0
14.11.16 12:48:24.999  LISTENER    ( WARN    ) : finished initializing module nss with rv=0
14.11.16 12:48:27.855  LISTENER    ( WARN    ) : finished initializing module nfs-shares with rv=0
14.11.16 12:48:33.236  LISTENER    ( WARN    ) : finished initializing module udm_extension with rv=0
14.11.16 12:48:35.369  LISTENER    ( WARN    ) : finished initializing module keytab with rv=0
14.11.16 12:48:37.394  LISTENER    ( WARN    ) : finished initializing module hosteddomains with rv=0
14.11.16 12:48:39.519  LISTENER    ( WARN    ) : finished initializing module bind with rv=0
14.11.16 12:48:42.043  LISTENER    ( WARN    ) : finished initializing module pkgdb-watch with rv=0
17.11.16 16:57:50.213  LISTENER    ( WARN    ) : finished initializing module replication with rv=0
17.11.16 16:57:51.234  LISTENER    ( WARN    ) : finished initializing module nfs-homes with rv=0
17.11.16 16:57:52.117  LISTENER    ( WARN    ) : finished initializing module keytab-member with rv=0
17.11.16 16:57:52.990  LISTENER    ( WARN    ) : finished initializing module gencertificate with rv=0
17.11.16 16:58:05.247  LISTENER    ( WARN    ) : finished initializing module well-known-sid-name-mapping with rv=0
17.11.16 16:58:07.973  LISTENER    ( WARN    ) : finished initializing module ldap_extension with rv=0
17.11.16 16:58:17.644  LISTENER    ( WARN    ) : finished initializing module faillog with rv=0
17.11.16 16:58:21.904  LISTENER    ( WARN    ) : finished initializing module samba-shares with rv=0
17.11.16 16:58:52.388  LISTENER    ( WARN    ) : finished initializing module samba4-idmap with rv=0
17.11.16 16:58:54.050  LISTENER    ( WARN    ) : finished initializing module umc-service-providers with rv=0
17.11.16 16:58:55.287  LISTENER    ( WARN    ) : finished initializing module nagios-client with rv=0
17.11.16 16:58:57.360  LISTENER    ( WARN    ) : finished initializing module ldap_server with rv=0
17.11.16 16:59:14.910  LISTENER    ( WARN    ) : finished initializing module s4-connector with rv=0
17.11.16 16:59:16.366  LISTENER    ( WARN    ) : finished initializing module univention-saml-servers with rv=0
17.11.16 16:59:18.878  LISTENER    ( WARN    ) : finished initializing module quota with rv=0
17.11.16 16:59:20.457  LISTENER    ( WARN    ) : finished initializing module license_uuid with rv=0
17.11.16 16:59:21.993  LISTENER    ( WARN    ) : finished initializing module nscd_update with rv=0
17.11.16 16:59:23.526  LISTENER    ( WARN    ) : finished initializing module nss with rv=0
17.11.16 16:59:25.013  LISTENER    ( WARN    ) : finished initializing module nfs-shares with rv=0
17.11.16 16:59:28.713  LISTENER    ( WARN    ) : finished initializing module udm_extension with rv=0
17.11.16 16:59:29.963  LISTENER    ( WARN    ) : finished initializing module keytab with rv=0
17.11.16 16:59:31.208  LISTENER    ( WARN    ) : finished initializing module hosteddomains with rv=0
17.11.16 16:59:32.457  LISTENER    ( WARN    ) : finished initializing module bind with rv=0
17.11.16 16:59:33.788  LISTENER    ( WARN    ) : finished initializing module pkgdb-watch with rv=0
22.11.16 08:21:36.856  LISTENER    ( WARN    ) : finished initializing module replication with rv=0
22.11.16 08:21:39.010  LISTENER    ( WARN    ) : finished initializing module nfs-homes with rv=0
22.11.16 08:21:41.318  LISTENER    ( WARN    ) : finished initializing module cups-pdf with rv=0
22.11.16 08:21:43.504  LISTENER    ( WARN    ) : finished initializing module keytab-member with rv=0
22.11.16 08:21:45.371  LISTENER    ( WARN    ) : finished initializing module cups-printers with rv=0
22.11.16 08:21:47.263  LISTENER    ( WARN    ) : finished initializing module gencertificate with rv=0
22.11.16 08:22:05.943  LISTENER    ( WARN    ) : finished initializing module well-known-sid-name-mapping with rv=0
22.11.16 08:22:12.403  LISTENER    ( WARN    ) : finished initializing module ldap_extension with rv=0
22.11.16 08:38:29.652  LISTENER    ( WARN    ) : finished initializing module remove-old-homedirs with rv=0
22.11.16 08:38:41.251  LISTENER    ( WARN    ) : finished initializing module faillog with rv=0
22.11.16 08:38:51.348  LISTENER    ( WARN    ) : finished initializing module samba-shares with rv=0
22.11.16 08:39:24.817  LISTENER    ( WARN    ) : finished initializing module samba4-idmap with rv=0
22.11.16 08:39:28.847  LISTENER    ( WARN    ) : finished initializing module umc-service-providers with rv=0
22.11.16 08:39:31.649  LISTENER    ( WARN    ) : finished initializing module nagios-client with rv=0
22.11.16 08:39:36.076  LISTENER    ( WARN    ) : finished initializing module ldap_server with rv=0
22.11.16 08:39:58.622  LISTENER    ( WARN    ) : finished initializing module s4-connector with rv=0
22.11.16 08:40:02.664  LISTENER    ( WARN    ) : finished initializing module univention-saml-servers with rv=0
22.11.16 08:40:08.060  LISTENER    ( WARN    ) : finished initializing module quota with rv=0
22.11.16 08:40:11.255  LISTENER    ( WARN    ) : finished initializing module license_uuid with rv=0
22.11.16 08:40:14.243  LISTENER    ( WARN    ) : finished initializing module nscd_update with rv=0
22.11.16 08:40:17.193  LISTENER    ( WARN    ) : finished initializing module nss with rv=0
22.11.16 08:43:44.663  LISTENER    ( WARN    ) : finished initializing module pupilgroups with rv=0
22.11.16 08:43:47.558  LISTENER    ( WARN    ) : finished initializing module nfs-shares with rv=0
22.11.16 08:43:50.298  LISTENER    ( WARN    ) : finished initializing module remove-old-sharedirs with rv=0
22.11.16 08:44:04.037  LISTENER    ( WARN    ) : finished initializing module udm_extension with rv=0
22.11.16 08:44:06.636  LISTENER    ( WARN    ) : finished initializing module keytab with rv=0
22.11.16 08:44:09.143  LISTENER    ( WARN    ) : finished initializing module hosteddomains with rv=0
22.11.16 08:44:11.655  LISTENER    ( WARN    ) : finished initializing module bind with rv=0
22.11.16 08:50:19.654  LISTENER    ( WARN    ) : finished initializing module ucs-school-user-logonscript with rv=0
22.11.16 08:50:22.545  LISTENER    ( WARN    ) : finished initializing module pkgdb-watch with rv=0

No timeout occurred - I stayed logged in the UMC the whole time. The missing join scripts went through well, except for italc-windows, univention-s4-connector and univention-samba4slavepdc-dns. Nothing new here - happens with few users too.

The next missing-join-scripts-run univention-s4-connector and univention-samba4slavepdc-dns worked, just italc-windows stayed pending.

As those join scripts have nothing to do with this Bug and do not hinder a (re)join, and the join of slaves to domains with thousends of users worked repetedly, I'll change the status to WORKSFORME.
Comment 7 Sönke Schwardt-Krummrich univentionstaff 2016-12-08 16:03:39 CET
(In reply to Sönke Schwardt-Krummrich from comment #5)
> I will try to cover this via the jenkins "large env" test.

The large env already does rejoins and joins with at least 1000 users.
The described problem did not occur for several months and there have been several improvements e.g. in univention-directory-listener that might have fixed this issue.

Currently not reproducible → VERIFIED
Comment 8 Sönke Schwardt-Krummrich univentionstaff 2016-12-12 13:16:25 CET
UCS@school 4.1 R2 v9 has been released.

http://docs.software-univention.de/changelog-ucsschool-4.1R2v9-de.html